/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.kubernetesnodessource;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelKubernetesnodessourceSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_CONF = "camel.kamelet.kubernetes-nodes-source.token";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_DOC = "The Auth Token to connect to Kubernetes Cluster";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_DEFAULT = null;
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_CONF = "camel.kamelet.kubernetes-nodes-source.masterUrl";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_DOC = "The Kubernetes Cluster Master URL";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_DEFAULT = null;
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_CONF = "camel.kamelet.kubernetes-nodes-source.resourceName";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_DOC = "The Resource Name we want to watch";
    public static final String CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_DEFAULT = null;

    public CamelKubernetesnodessourceSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelKubernetesnodessourceSourceConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_CONF, ConfigDef.Type.PASSWORD, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_TOKEN_DOC);
        conf.define(CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_MASTER_URL_DOC);
        conf.define(CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_KUBERNETESNODESSOURCE_KAMELET_RESOURCE_NAME_DOC);
        return conf;
    }
}